Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.view.facelets
Class MetaRuleset

    java.lang.Object
      javax.faces.view.facelets.MetaRuleset

    public abstract class MetaRuleset

extends java.lang.Object

A mutable set of rules to be used in auto-wiring state to a particular object instance. Rules assigned to this object will be composed into a single Metadata instance which will encapsulate the ruleset.

Since:
  2.0

Constructor Summary
`MetaRuleset()`

Method Summary
`abstract MetaRuleset` | `add(Metadata mapper)` Add another `Metadata` to this ruleset, returning `this`.
`abstract MetaRuleset` | `addRule(MetaRule rule)` Add another `MetaRule` to this ruleset, returning `this`.
`abstract MetaRuleset` | `alias(java.lang.String attribute, java.lang.String property)` Customize this `MetaRuleset` by removing the attribute named by argument `attribute` and re-adding it under the name given by the argument `property`, returning `this`.
`abstract Metadata` | `finish()` Take actions to apply the rule.
`abstract MetaRuleset` | `ignore(java.lang.String attribute)` Customize this `MetaRuleset` instance to advise it to ignore the attribute named by the `attribute` argument, returning `this`.
`abstract MetaRuleset` | `ignoreAll()` Customize this `MetaRuleset` instance to advise it to ignore all attributes, returning `this`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaRuleset

    public MetaRuleset()

Method Detail

### ignore

    public abstract MetaRuleset ignore(java.lang.String attribute)

  Customize this `MetaRuleset` instance to advise it to ignore the attribute named by the `attribute` argument, returning `this`.

  Parameters:
    `attribute` - the name of the attribute to ignore.
  Since:
    2.0

### ignoreAll

    public abstract MetaRuleset ignoreAll()

  Customize this `MetaRuleset` instance to advise it to ignore all attributes, returning `this`.

  Since:
    2.0

### alias

    public abstract MetaRuleset alias(java.lang.String attribute,
                                      java.lang.String property)

  Customize this `MetaRuleset` by removing the attribute named by argument `attribute` and re-adding it under the name given by the argument `property`, returning `this`.

  Since:
    2.0

### add

    public abstract MetaRuleset add(Metadata mapper)

  Add another `Metadata` to this ruleset, returning `this`.

  Since:
    2.0

### addRule

    public abstract MetaRuleset addRule(MetaRule rule)

  Add another `MetaRule` to this ruleset, returning `this`.

  Since:
    2.0

### finish

    public abstract Metadata finish()

  Take actions to apply the rule.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.